#import "SwitchingViewsViewController.h"
#import "SecondViewController.h"


@implementation SwitchingViewsViewController

-(IBAction)switchView:(id)sender{
	
	SecondViewController *myViewController = [[SecondViewController alloc]
											  initWithNibName:@"SecondViewController"
											  bundle:nil];
	
	[UIView beginAnimations:@"flipview" context:nil];
	[UIView setAnimationDuration:2];
	[UIView setAnimationCurve:UIViewAnimationCurveEaseInOut];
	[UIView setAnimationTransition:UIViewAnimationTransitionFlipFromLeft 
						   forView:self.view cache:YES];
	
	[self.view addSubview:myViewController.view];
	
	[UIView commitAnimations];
	
}


- (void)dealloc {
    [super dealloc];
}

@end
